package java.awt.image;

import java.awt.RenderingHints;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

public interface RasterOp
{
    public abstract WritableRaster filter(Raster p0, WritableRaster p1);
    
    public abstract Rectangle2D getBounds2D(Raster p0);
    
    public abstract WritableRaster createCompatibleDestRaster(Raster p0);
    
    public abstract Point2D getPoint2D(Point2D p0, Point2D p1);
    
    public abstract RenderingHints getRenderingHints();
}
